Texa DeskDevelopers

Tickets API · Ticket types and states

List ticket types

GET/api/v1/accounts/{account_id}/ticket_types

Authorization

api_access_tokenheaderrequired

A person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.

Path parameters

account_idintegerrequired

The account's id

Query parameters

archivedboolean

Include archived types

Responses

200

{payload: [{id, name, icon, description, audience, complaint, sensitive, reopen_on_reply, fields: [{key, required, customer}], team_id, priority, sla_policy_id, labels, promise, state_ids, position, archived}]}